## golang-connectrpc-connect 1.13.0

=== Makefile ===
# See https://tech.davis-hansson.com/p/make/
SHELL := bash
.DELETE_ON_ERROR:
.SHELLFLAGS := -eu -o pipefail -c
.DEFAULT_GOAL := all
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --no-builtin-rules
MAKEFLAGS += --no-print-directory
BIN := .tmp/bin
export PATH := $(BIN):$(PATH)
export GOBIN := $(abspath $(BIN))
COPYRIGHT_YEARS := 2021-2023
LICENSE_IGNORE := --ignore /testdata/

.PHONY: help
help: ## Describe useful make targets
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "%-30s %s\n", $$1, $$2}'

.PHONY: all
all: ## Build, test, and lint (default)
	$(MAKE) test
	$(MAKE) lint

.PHONY: clean
clean: ## Delete intermediate build artifacts
	@# -X only removes untracked files, -d recurses into directories, -f actually removes files/dirs
	git clean -Xdf

.PHONY: test
test: shorttest slowtest

.PHONY: shorttest
shorttest: build ## Run unit tests
	go test -vet=off -race -cover -short ./...

.PHONY: slowtest
# Runs all tests, including known long/slow ones. The
# race detector is not used for a few reasons:
#  1. Race coverage of the short tests should be
#     adequate to catch race conditions.
#  2. It slows tests down, which is not good if we
#     know these are already slow tests.
#  3. Some of the slow tests can't repro issues and
#     find regressions as reliably with the race
#     detector enabled.
slowtest: build
	go test ./...

.PHONY: runconformance
runconformance: build ## Run conformance test suite
	cd internal/conformance && ./runconformance.sh

.PHONY: bench
bench: BENCH ?= .*
bench: build ## Run benchmarks for root package
	go test -vet=off -run '^$$' -bench '$(BENCH)' -benchmem -cpuprofile cpu.pprof -memprofile mem.pprof .

.PHONY: build
build: generate ## Build all packages
	go build ./...

.PHONY: install
install: ## Install all binaries
	go install ./...

.PHONY: lint
lint: $(BIN)/golangci-lint $(BIN)/buf ## Lint Go and protobuf
	go vet ./...
	golangci-lint run --modules-download-mode=readonly --timeout=3m0s
	buf lint
	buf format -d --exit-code

.PHONY: lintfix
lintfix: $(BIN)/golangci-lint $(BIN)/buf ## Automatically fix some lint errors
	golangci-lint run --fix --modules-download-mode=readonly --timeout=3m0s
	buf format -w

.PHONY: generate
generate: $(BIN)/buf $(BIN)/protoc-gen-go $(BIN)/protoc-gen-connect-go $(BIN)/license-header ## Regenerate code and licenses
	rm -rf internal/gen
	PATH="$(abspath $(BIN))" buf generate
	license-header \
		--license-type apache \
		--copyright-holder "The Connect Authors" \
		--year-range "$(COPYRIGHT_YEARS)" $(LICENSE_IGNORE)

.PHONY: upgrade
upgrade: ## Upgrade dependencies
	go get -u -t ./... && go mod tidy -v

.PHONY: checkgenerate
checkgenerate:
	@# Used in CI to verify that `make generate` doesn't produce a diff.
	test -z "$$(git status --porcelain | tee /dev/stderr)"

.PHONY: $(BIN)/protoc-gen-connect-go
$(BIN)/protoc-gen-connect-go:
	@mkdir -p $(@D)
	go build -o $(@) ./cmd/protoc-gen-connect-go

$(BIN)/buf: Makefile
	@mkdir -p $(@D)
	go install github.com/bufbuild/buf/cmd/buf@v1.27.2

$(BIN)/license-header: Makefile
	@mkdir -p $(@D)
	go install github.com/bufbuild/buf/private/pkg/licenseheader/cmd/license-header@v1.27.2

$(BIN)/golangci-lint: Makefile
	@mkdir -p $(@D)
	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.55.2

$(BIN)/protoc-gen-go: Makefile go.mod
	@mkdir -p $(@D)
	@# The version of protoc-gen-go is determined by the version in go.mod
	go install google.golang.org/protobuf/cmd/protoc-gen-go

## golang-connectrpc-connect 1.12.0

=== debian/changelog ===
golang-connectrpc-connect (1.12.0-2) unstable; urgency=medium

  * Team Upload.
    + Source-only upload.
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Nov 2023 17:06:27 +0530

golang-connectrpc-connect (1.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #1055741)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Fri, 17 Nov 2023 14:00:16 +0530

=== debian/control ===
Source: golang-connectrpc-connect
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-google-protobuf-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect.git
Homepage: https://github.com/connectrpc/connect-go
Rules-Requires-Root: no
XS-Go-Import-Path: connectrpc.com/connect

Package: golang-connectrpc-connect-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-google-protobuf-dev,
         ${misc:Depends}
Description: Go implementation of Connect (library)
 Connect is a slim library for building browser and gRPC-compatible HTTP APIs.
 You write a short Protocol Buffer schema and implement your application logic,
 and Connect generates code to handle marshaling, routing, compression, and
 content type negotiation. It also generates an idiomatic, type-safe client.
 Handlers and clients support three protocols: gRPC, gRPC-Web, and Connect's own
 protocol.
 .
 The Connect protocol is a simple protocol that works over HTTP/1.1 or HTTP/2.
 It takes the best portions of gRPC and gRPC-Web, including streaming, and
 packages them into a protocol that works equally well in browsers, monoliths,
 and microservices. Calling a Connect API is as easy as using curl.

Package: protoc-gen-connect-go
Architecture: any
Depends: protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Go implementation of Connect (protobuf plugin)
 Connect is a slim library for building browser and gRPC-compatible HTTP APIs.
 You write a short Protocol Buffer schema and implement your application logic,
 and Connect generates code to handle marshaling, routing, compression, and
 content type negotiation. It also generates an idiomatic, type-safe client.
 Handlers and clients support three protocols: gRPC, gRPC-Web, and Connect's own
 protocol.
 .
 The Connect protocol is a simple protocol that works over HTTP/1.1 or HTTP/2.
 It takes the best portions of gRPC and gRPC-Web, including streaming, and
 packages them into a protocol that works equally well in browsers, monoliths,
 and microservices. Calling a Connect API is as easy as using curl.
 .
 protoc-gen-connect-go is a plugin for the Protobuf compiler that generates Go
 code for Connect.

## golang-connectrpc-connect 1.13.0

=== debian/changelog ===
golang-connectrpc-connect (1.13.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 12:20:52 +1000

golang-connectrpc-connect (1.13.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 14:02:20 +1000

golang-connectrpc-connect (1.13.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:28:38 +0530

golang-connectrpc-connect (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Add new golang-golang-x-net-dev dependency
  * Add Built-Using to protoc-gen-connect-go
  * Exclude CI conformance tool from build and package

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 17 Dec 2023 16:14:25 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-connectrpc-connect
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -8,7 +9,8 @@
                dh-golang,
                golang-any,
                golang-github-google-go-cmp-dev,
-               golang-google-protobuf-dev
+               golang-google-protobuf-dev,
+               golang-golang-x-net-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect.git
@@ -21,6 +23,7 @@
 Multi-Arch: foreign
 Depends: golang-github-google-go-cmp-dev,
          golang-google-protobuf-dev,
+         golang-golang-x-net-dev,
          ${misc:Depends}
 Description: Go implementation of Connect (library)
  Connect is a slim library for building browser and gRPC-compatible HTTP APIs.
@@ -37,6 +40,7 @@
 
 Package: protoc-gen-connect-go
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends: protobuf-compiler,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := internal/conformance
export DH_GOLANG_EXCLUDES_ALL := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/connectrpc/connect-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-connectrpc-connect 1.14.0

=== debian/changelog ===
golang-connectrpc-connect (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Update my maintenance email
  * Only run unit tests using -short (Closes: #1099186)
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Maytham Alsudany <maytham@debian.org>  Mon, 10 Mar 2025 15:34:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: golang-connectrpc-connect
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Maytham Alsudany <maytham@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,7 +10,7 @@
                golang-github-google-go-cmp-dev,
                golang-google-protobuf-dev,
                golang-golang-x-net-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-connectrpc-connect.git
 Homepage: https://github.com/connectrpc/connect-go

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+
+override_dh_auto_test:
+	dh_auto_test -- -short
